package com.ruoyi.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 日志业务类型
 * @author wjh
 * 2024/11/11
 */
@Getter
@AllArgsConstructor
public enum LogBizType {

    UNKNOWN("UNKNOWN", "未知"),
    SUIT("SUIT", "套餐"),
    ORDER("ORDER", "订单"),
    COMPLAINT("COMPLAINT", "投诉建议"),
    DEVICE("DEVICE", "设备"),
    MCH_APPLY("MCH_APPLY", "招商加盟"),
    PAY("PAY", "支付"),
    REAL_NAME("REAL_NAME", "实名认证"),
    AREA("AREA", "运营区"),
    ACCOUNT("ACCOUNT", "收款账户"),
    AD("AD", "广告"),
    AGREEMENT("AGREEMENT", "协议"),
    APP("APP", "APP"),
    AREA_JOIN("AREA_JOIN", "运营加盟"),
    AREA_SUB("AREA_SUB", "子区域"),
    ARTICLE_CATEGORY("ARTICLE_CATEGORY", "文章分类"),
    ARTICLE("ARTICLE", "文章"),
    BALANCE_LOG("BALANCE_LOG", "帐变记录"),
    BONUS("BONUS", "分成"),
    CHANNEL("CHANNEL", "支付渠道"),
    CUSTOMER_SERVICE("CUSTOMER_SERVICE", "客服"),
    FAULT("FAULT", "故障"),
    HARDWARE_VERSION("HARDWARE_VERSION", "硬件版本"),
    LOCATION_LOG("LOCATION_LOG", "定位日志"),
    MODEL("MODEL", "车辆型号"),
    SOFTWARE_VERSION("SOFTWARE_VERSION", "软件版本"),
    USER_APP("USER_APP", "用户APP关联"),
    WITHDRAW("WITHDRAW", "提现"),
    USER("USER", "用户"),
    COMMAND_LOG("COMMAND_LOG", "命令日志"),
    VIP("VIP", "卡券"),
    VIP_ORDER("VIP_ORDER", "卡券订单");

    private final String type;
    private final String msg;
}
